#
# spec file for package libhbalinux2
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libhbalinux2
Version:        1.0.17
Release:        7.1
Summary:        FC-HBAAPI implementation using scsi_transport_fc interfaces
License:        LGPL-2.0+
Group:          System/Libraries
Url:            http://www.open-fcoe.org
Source0:        libhbalinux-%{version}.tar.xz
Patch0:         libhbalinux-remove-install-data-hook
Patch2:         hbalinux-automake.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         sed
BuildRequires:  autoconf
BuildRequires:  libHBAAPI2-devel >= 2.2.10
BuildRequires:  libpciaccess0-devel
BuildRequires:  libtool
#Requires:       libHBAAPI2

%description
SNIA HBAAPI vendor library built on top of the scsi_transport_fc
interfaces



Authors:
--------
    Christoper Leech <christopher.leech@intel.com>

%package        devel
Summary:        FC-HBAAPI implementation using scsi_transport_fc interfaces
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
Development header files for FC-HBAAPI implementation

%prep
%setup -q -n libhbalinux-%{version}
%patch0 -p1
%patch2 -p1

%build
autoreconf --install
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
rm -f "%buildroot/%_libdir"/*.la

%post
/sbin/ldconfig
ORG=org.open-fcoe.libhbalinux
LIB=%{_libdir}/libhbalinux.so.2
STR="$ORG       $LIB"
CONF=/etc/hba.conf
if test -f $CONF; then
    ORIG=$(sed -n "s/^[[:space:]]*$ORG[[:space:]]*\(.*\)/\1/p" $CONF)
    if [ "$ORIG" != "$LIB" ] ; then
        echo $STR >> $CONF
    else
        echo "** $CONF already configured"
        echo "** system configuration not updated"
    fi;
else
    echo "** WARNING: $CONF does not exist"
    echo "** system configuration not updated"
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README
%doc COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Aug  3 2015 hare@suse.de
- Update to upstream version v1.0.17 (FATE#318847)
  * Fixup Automake
  * Support port speeds up to 40 Gbit
* Wed Mar 12 2014 hare@suse.de
- Add 'sed' to PreReq (bnc#865842)
* Fri Sep 13 2013 hare@suse.de
- Updated to upstream version v1.0.15
  * Build fixes
  * Set SerialNumber to "Unknown" if not found
  * Support for SCSI READ CAPACITY (16)
  * PortSpeed and PortSupportedSpeed as bitmasks
  * Use HBA_PORTTYPE values for PortType attribute
  * Fix HBA_GetFcpTargetMappingV2 handler for small mapping buffer
  * NumberOfPorts per Adapter count correction
  * modify to match latest kernel /sys
- Split off devel package
- Remove 'libhbalinux-fix-issue-preventi'; merged with upstream
- Update patches to apply
* Tue May 29 2012 jengelh@inai.de
- Resolve failure to build package due to automake-1.12 warnings
  treated as errors
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sat Nov 19 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Mon Apr 26 2010 hare@suse.de
- Fix issue preventing luns display for luns higher than 1023
  (bnc#599421)
* Fri Dec  4 2009 hare@suse.de
- Correct libraryname in /etc/hba.conf
- Require libHBAAPI2 for correct operation.
* Mon Nov 16 2009 hare@suse.de
- Initial package (FATE#306854)
